LongRange: in which file should it be declared/defined?

31 Jul 2014 14:38 - John Abbott

Status: In Progress Start date: 31 Jul 2014

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.45 hour

Description

Currently LongRange resides in utils.H; it is the only function there that requires inclusion of the standard header <vector>.

Perhaps LongRange should be moved to a different file?  Which one?  Or perhaps a new one? What should it be called?

Related issues:

Related to CoCoALib - Feature #1472: Idea for for loops In Progress 23 Jul 2020

Related to CoCoALib - Feature #312: LongRange(a,b) returning vector of long a... Closed 14 Feb 2013

History

#1 - 23 Jul 2020 20:34 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99800

#2 - 23 Jul 2020 20:40 - John Abbott

- Related to Feature #1472: Idea for for loops added

#3 - 29 Oct 2020 14:47 - John Abbott

What about utils-LongRange?

This name should also make it clear why the file is included.

#4 - 30 Oct 2020 15:33 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Anna is uneasy about making a header file for just a single function.

Ideally, there could be some other similar functions which could be put into the same header file.

2020-10-30 We postpone the decision.

#5 - 03 Nov 2021 17:02 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#6 - 08 Mar 2023 20:45 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#7 - 08 Mar 2024 09:16 - Anna Maria Bigatti

- Related to Feature #312: LongRange(a,b) returning vector of long a..b (included) added
